#ifndef CURSORTASK_H
#define CURSORTASK_H

#include <SDL/SDL_video.h>


class CursorTask
{
    public:
        virtual ~CursorTask() {};

        virtual void logic();
        virtual void render( SDL_Surface *screen );
        virtual void showmouse() { show=true; };
        virtual void hidemouse() { show=false; };
        virtual bool ismousevisible() { return show; };

        unsigned int x = 0;
        unsigned int y = 0;
        bool state = false;
        bool show = true;
};

#endif // CURSORTASK_H
