#ifndef CONTAINERHWIDGET_H
#define CONTAINERHWIDGET_H

#include "Widget.h"
#include "CursorTask.h"
#include <vector>


class ContainerHWidget : public Widget
{
    public:
        ContainerHWidget() { widgettype = "ContainerH"; };
        ContainerHWidget( char *l, int x, int y, int w, int h, Widget *p ) : Widget( l, x, y, w, h, p ) { widgettype = "ContainerH"; };
        virtual ~ContainerHWidget() { };

        virtual void adjust();
        virtual void addtocontainer( Widget* content );

        virtual void setsize( int sizeH ) { sizehgrid = sizeH; }
        virtual int getsize() { return sizehgrid; };

        virtual void logic( CursorTask *mouse ) override;
        virtual void render( SDL_Surface *screen, nSDL_Font *currentfont ) override;

    protected:
        int sizehgrid;
        std::vector<Widget*> gridhwidget;


    private:
};

#endif // CONTAINERHWIDGET_H
